#ifndef SHARED_LOGIN_LOGS_H
#define SHARED_LOGIN_LOGS_H
#include <sys/stat.h>
#include "../global.h"

typedef struct logfile_node
{
    char filename[MAX_PATH +1];
    struct stat buf;
    struct logfile_node *next;
}LOGFILE_NODE;



LOGFILE_NODE *  build_logfile_list(int *count, const char *path, const char *filter);
void free_logfile_list(LOGFILE_NODE *head);


#endif



